D-Bus match_rule_equal() denial of service

dbus-matchruleequal-dos (30874) The risk level is classified as MediumMedium Risk

Description:

D-Bus is vulnerable to a denial of service, caused by an error in the match_rule_equal() function in signals.c. A local attacker could exploit this vulnerability to kill an unspecified process and bring about a denial of service condition.

*CVSS:

Base Score: 2.5
  Access Vector: Local
  Access Complexity: Low
  Authentication: Not Required
  Confidentiality Impact: None
  Integrity Impact: None
  Availability Impact: Partial
 
Temporal Score: 1.8
  Exploitability: Unproven
  Remediation Level: Official-Fix
  Report Confidence: Confirmed

Consequences:

Denial of Service

Remedy:

Upgrade to the latest version of D-Bus (version 1.0.2 or later), available from the Freedesktop.org Web site. See References.

For OpenPKG:
Refer to OpenPKG Security Advisory OpenPKG-SA-2006.041 for patch, upgrade, or suggested workaround information. See References.

For Ubuntu Linux:
Refer to USN-401-1 for patch, upgrade, or suggested workaround information. See References.

For Mandriva Linux:
Refer to Mandriva Linux Security Advisory MDKSA-2006:233 for patch, upgrade, or suggested workaround information. See References.

For Red Hat Linux:
Refer to RHSA-2007:0008-2 for patch, upgrade, or suggested workaround information. See References.

For other distributions:
Contact your vendor for patch or upgrade information.

References:

Platforms Affected:

  • Canonical Ubuntu 5.10
  • Canonical Ubuntu 6.06 LTS
  • Canonical Ubuntu 6.10
  • Freedesktop D-Bus prior to 1.0.2
  • MandrakeSoft Mandrake Linux 2006 X86_64
  • MandrakeSoft Mandrake Linux 2006
  • MandrakeSoft Mandrake Linux 2007
  • MandrakeSoft Mandrake Linux 2007 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 3.0 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 3.0
  • MandrakeSoft Mandrake Linux Corporate Server 4.0 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 4.0
  • OpenPKG OpenPKG 2-STABLE
  • OpenPKG OpenPKG CURRENT
  • RedHat Enterprise Linux 4 Desktop
  • RedHat Enterprise Linux 4 ES
  • RedHat Enterprise Linux 4 AS
  • RedHat Enterprise Linux 4 WS

Reported:

Dec 12, 2006

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page